/**
 * Hlavní semestrální práce z KIV/VSP
 * (c) 2006 - 2007 Ivan Habernal
 * e-mail: habernal@students.zcu.cz
 */
package cz.habi.vsp.sem.distribution;

/**
 * This is simple interface for probability distributions.
 * 
 * @author habi
 */
public interface Distribution {
	/**
	 * Returns a random value according to the distribution type. The
	 * implementing classes should use a inverse transformation method for
	 * computing the value.
	 * 
	 * @return random value
	 */
	public double getRandomValue();

	/**
	 * Returns a mean of this distribution - E(X)
	 * 
	 * @return mean
	 */
	public double getMean();

	/**
	 * Returns a variance of the distribution - D(X)
	 * 
	 * @return variance
	 */
	public double getVariance();
}
