/**
 * Hlavní semestrální práce z KIV/VSP
 * (c) 2006 - 2007 Ivan Habernal
 * e-mail: habernal@students.zcu.cz
 */
package cz.habi.vsp.sem.distribution;

/**
 * This class implements the exponential distribution.
 * 
 * @author habi
 * 
 */
public class ExponentialDistribution implements Distribution {

	private double lambda;

	/**
	 * Creates a new instance of ExponentialDistribution with the lambda
	 * parameter.
	 * 
	 * @param lambda
	 *            the lambda
	 * @throws IllegalArgumentException
	 *             if the lambda is negative
	 */
	public ExponentialDistribution(double lambda) throws IllegalArgumentException {
		if (lambda <= 0) {
			throw new IllegalArgumentException("Lambda must be greater than 0");
		}
		this.lambda = lambda;
	}

	public double getRandomValue() {
		double uniformDistributionRandomValue = Math.random();

		return -Math.log(uniformDistributionRandomValue) * (1d / lambda);
	}

	public double getMean() {
		return 1d / lambda;
	}

	public double getVariance() {
		return 1d / (lambda * lambda);
	}
}
