/**
 * Hlavní semestrální práce z KIV/VSP
 * (c) 2006 - 2007 Ivan Habernal
 * e-mail: habernal@students.zcu.cz
 */
package cz.habi.vsp.sem.network;

import cz.zcu.fav.kiv.jsim.JSimException;

/**
 * This is the ouput (ending) element of the network. It also provides some
 * statistics.
 * 
 * @author habi
 * 
 */
public class NetworkExit implements RequestAcceptor {

	private SystemSimulation systemSimulation;

	/**
	 * Creates a new instance of NetworkExit
	 * 
	 * @param systemSimulation
	 *            parent simulation
	 */
	public NetworkExit(SystemSimulation systemSimulation) {
		this.systemSimulation = systemSimulation;
	}

	public void acceptRequest(Request request) throws JSimException {
		double requestLife = systemSimulation.getCurrentTime() - request.getCreatingTime();

		// updating statistics
		systemSimulation.addTqStatsValue(requestLife);
		systemSimulation.requestLeftSystem();
	}
}
