/**
 * Hlavní semestrální práce z KIV/VSP
 * (c) 2006 - 2007 Ivan Habernal
 * e-mail: habernal@students.zcu.cz
 */
package cz.habi.vsp.sem.network;

import java.util.Map;

/**
 * Classes implementing this interface provide some statistics.
 * 
 * @author habi
 * 
 */
public interface StatisticsProvider {

	/**
	 * Returns a map of statistics, where key is the description and value is
	 * the value.
	 * 
	 * @return map of stats
	 */
	public Map<String, Object> getStatistics();

	/**
	 * Returns the name of element, which provides the statistics.
	 * 
	 * @return name
	 */
	public String getProviderName();
}
